Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Failover Groups - Delete
- Service:
- SQL Database
- API Version:
- 2025-01-01
Deletes a failover group.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/failoverGroups/{failoverGroupName}?api-version=2025-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
failoverGroupName
|
path | True |
string |
The name of the failover group. |
|
resourceGroupName
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
serverName
|
path | True |
string |
The name of the server. |
|
subscriptionId
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Resource deleted successfully. |
|
| 202 Accepted |
Resource deletion accepted. Headers
|
|
| 204 No Content |
Resource does not exist. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Delete failover group
Sample request
Sample response
- Status code:
- 200
- Status code:
- 202
Location: /subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/japaneast/failoverGroupOperationResults/11111111-1111-1111-1111-111111111111
- Status code:
- 204
Definitions
| Name | Description |
|---|---|
| ErrorAdditionalInfo |
The resource management error additional info. |
| ErrorDetail |
The error detail. |
| ErrorResponse |
Error response |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
